libwpg: WPGXParser Class Reference documentation

# WPGXParser Class Reference

`#include <WPGXParser.h>`

Inheritance diagram for WPGXParser:

List of all members.

## Public Member Functions
| WPGXParser (WPXInputStream *input, libwpg::WPGPaintInterface *painter)
| WPGXParser (const WPGXParser &parser)
virtual | ~WPGXParser ()
virtual bool | parse ()=0
unsigned char | readU8 ()
unsigned short | readU16 ()
unsigned int | readU32 ()
signed char | readS8 ()
short | readS16 ()
int | readS32 ()
unsigned int | readVariableLengthInteger ()
WPGXParser & | operator= (const WPGXParser &parser)
## Protected Attributes
WPXInputStream * | m_input
libwpg::WPGPaintInterface * | m_painter
std::map< int, libwpg::WPGColor > | m_colorPalette

## Constructor & Destructor Documentation

WPGXParser::WPGXParser | ( | WPXInputStream * | input,
|  | libwpg::WPGPaintInterface * | painter |
| ) |  |  |

WPGXParser::WPGXParser | ( | const WPGXParser & | parser | ) |

virtual WPGXParser::~WPGXParser | ( |  | ) | `[inline, virtual]`

## Member Function Documentation

virtual bool WPGXParser::parse | ( |  | ) | `[pure virtual]`

Implemented in WPG1Parser, and WPG2Parser.

unsigned char WPGXParser::readU8 | ( |  | ) |

Referenced by WPG1Parser::decodeRLE(), WPG2Parser::handleBitmapData(), WPG2Parser::handleBrushBackColor(), WPG2Parser::handleBrushForeColor(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleLineAttributes(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), WPG2Parser::handlePenBackColor(), WPG2Parser::handlePenForeColor(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::handleStartWPG(), WPG2Parser::parse(), WPG1Parser::parse(), readS8(), readU16(), readU32(), and readVariableLengthInteger().

unsigned short WPGXParser::readU16 | ( |  | ) |

Referenced by WPG2Parser::handleBitmapData(), WPG2Parser::handleBrushForeColor(), WPG2Parser::handleBrushGradient(), WPG2Parser::handleBrushPattern(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG1Parser::handleCurvedPolyline(), WPG2Parser::handleDPBrushBackColor(), WPG2Parser::handleDPBrushForeColor(), WPG2Parser::handleDPBrushGradient(), WPG2Parser::handleDPColorPalette(), WPG2Parser::handleDPPenBackColor(), WPG2Parser::handleDPPenForeColor(), WPG1Parser::handleEllipse(), WPG2Parser::handleLayer(), WPG1Parser::handleLineAttributes(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), WPG2Parser::handlePenSize(), WPG2Parser::handlePenStyle(), WPG2Parser::handlePenStyleDefinition(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG2Parser::handlePolyline(), WPG1Parser::handlePolyline(), WPG2Parser::handleStartWPG(), WPG1Parser::handleStartWPG(), WPG2Parser::parseCharacterization(), readS16(), and readVariableLengthInteger().

unsigned int WPGXParser::readU32 | ( |  | ) |

Referenced by WPG1Parser::handleCurvedPolyline(), WPG2Parser::handleDPPenSize(), WPG2Parser::handlePenStyleDefinition(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::parseCharacterization(), and readS32().

signed char WPGXParser::readS8 | ( |  | ) |

short WPGXParser::readS16 | ( |  | ) |

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG1Parser::handleBitmapTypeOne(), WPG1Parser::handleBitmapTypeTwo(), WPG1Parser::handleCurvedPolyline(), WPG1Parser::handleEllipse(), WPG1Parser::handleLine(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG2Parser::handlePolyline(), WPG1Parser::handlePolyline(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::handleRectangle(), WPG1Parser::handleRectangle(), and WPG2Parser::handleStartWPG().

int WPGXParser::readS32 | ( |  | ) |

Referenced by WPG2Parser::handleArc(), WPG2Parser::handleBitmap(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handlePolycurve(), WPG2Parser::handlePolyline(), WPG2Parser::handleRectangle(), WPG2Parser::handleStartWPG(), and WPG2Parser::parseCharacterization().

unsigned int WPGXParser::readVariableLengthInteger | ( |  | ) |

Referenced by WPG2Parser::parse(), and WPG1Parser::parse().

WPGXParser & WPGXParser::operator= | ( | const WPGXParser & | parser | ) |

## Member Data Documentation

WPXInputStream* WPGXParser::m_input`[protected]`

Referenced by WPG1Parser::decodeRLE(), WPG2Parser::handleBitmapData(), WPG2Parser::handleObjectCapsule(), WPG2Parser::handleObjectImage(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::handleStartWPG(), WPG1Parser::handleStartWPG(), operator=(), WPG2Parser::parse(), WPG1Parser::parse(), and readU8().

libwpg::WPGPaintInterface* WPGXParser::m_painter`[protected]`

Referenced by WPG2Parser::flushCompoundPolygon(), WPG2Parser::handleArc(), WPG2Parser::handleBitmapData(), WPG1Parser::handleBitmapTypeOne(), WPG1Parser::handleBitmapTypeTwo(), WPG1Parser::handleCurvedPolyline(), WPG1Parser::handleEllipse(), WPG2Parser::handleEndWPG(), WPG1Parser::handleEndWPG(), WPG2Parser::handleLayer(), WPG1Parser::handleLine(), WPG2Parser::handleObjectImage(), WPG2Parser::handlePolycurve(), WPG1Parser::handlePolygon(), WPG2Parser::handlePolyline(), WPG1Parser::handlePolyline(), WPG1Parser::handlePostscriptTypeOne(), WPG1Parser::handlePostscriptTypeTwo(), WPG2Parser::handleRectangle(), WPG1Parser::handleRectangle(), WPG2Parser::handleStartWPG(), WPG1Parser::handleStartWPG(), and operator=().

std::map<int,libwpg::WPGColor> WPGXParser::m_colorPalette`[protected]`

Referenced by WPG1Parser::fillPixels(), WPG2Parser::handleBitmapData(), WPG1Parser::handleColormap(), WPG2Parser::handleColorPalette(), WPG2Parser::handleDPColorPalette(), WPG1Parser::handleFillAttributes(), WPG1Parser::handleLineAttributes(), operator=(), WPG2Parser::resetPalette(), and WPG1Parser::resetPalette().

The documentation for this class was generated from the following files:

- WPGXParser.h
- WPGXParser.cpp